#!/bin/sh
#
# @file   persistent_mount.sh
# @author geniux <riegamaths@gmail.com>
# @date   Wed Aug 10 10:25:50 2011
# 
# @brief # Because our initial script is placed in /persistent, so it must 
# link these script to /etc folder.
# like ln -s /persistent/etc/* /etc
# 

if [ ! -f /ysdisk ]; then
	mkdir /ysdisk -p
fi

# add fsck ext4 CasparCai 2016-04-17 start
tune2fs -l /dev/mmcblk1p3
if [ $? -ne 0 ];then
    touch /tmp/.ysdiskfsck
    fsck.ext4 -y /dev/mmcblk1p3
fi

errorline=`tune2fs -l /dev/mmcblk1p3 | grep "error" | wc -l`

if [ $errorline -ne 0 ];then
    touch /tmp/.ysdiskfsck
    fsck.ext4 -y /dev/mmcblk1p3
fi
#add fsck ext4 CasparCai 2016-04-17 end

mount -t ext4 /dev/mmcblk1p3 /ysdisk
if [ $? -ne 0 ];then
    touch /tmp/.ysdiskfsck
    echo "ysdisk  mount failed, now mkfsext4 ysdisk......."
    mkfs.ext4 -j /dev/mmcblk1p3
    mount -t ext4 /dev/mmcblk1p3 /ysdisk
fi

