#!/bin/sh 
exec_option=$1
conf_file=$2
if [ -f $conf_file ]
then
	. $conf_file
	if [ $exec_option == start ]
	then
		if [ "$DHCPD" == yes ]
		then
			rm -f /var/run/dhcpcd*
			dhcpcd $IF &
		else
			ifconfig $IF down
			ifconfig $IF $IPADDRESS netmask $NETMASK up
			route add default gw $GATEWAY
			echo "nameserver  $DNS1" > /etc/resolv.conf
			echo "nameserver  $DNS2" >> /etc/resolv.conf
		fi
		if [ $IPADDRESS2 ];then
			ifconfig $IF:2 $IPADDRESS2 netmask $NETMASK2 up	
		fi
	elif [ $exec_option == stop ]
	then
		killall -9 dhcpcd
		rm -f /var/run/dhcpcd*
		ifconfig $IF down
	fi
else
	ifconfig eth0 192.168.5.150 up
	route add default gw 192.168.5.1
	echo "nameserver  192.168.5.1" > /etc/resolv.conf
fi
