#!/bin/sh 
exec_option=$1
VLAN_LAN_CONF="/etc/network/lan.conf"
VLAN_WAN_CONF="/etc/network/wan.conf"

OTHERID=0
#Set RTL8309
if [ -f $VLAN_WAN_CONF ]
then
	#echo "dual mode" >/proc/rtl8309
	. $VLAN_LAN_CONF
	ENABLEVLAN_LAN=$ENABLEVLAN
	VLANID_LAN=$VLANID
	if [ ! $VLANRPIORITY ]
	then
		VLANPRIORITY_LAN="0"
	else
		VLANPRIORITY_LAN=$VLANRPIORITY
	fi
	. $VLAN_WAN_CONF
	ENABLEVLAN_WAN=$ENABLEVLAN
	VLANID_WAN=$VLANID
	if [ ! $VLANRPIORITY ]
	then
		VLANPRIORITY_WAN="0"
	else
		VLANPRIORITY_WAN=$VLANRPIORITY
	fi
	if [ "$ENABLEVLAN_LAN" = yes ] && [ "$ENABLEVLAN_WAN" = yes ]
	then
		echo "Set VLAN on Lan($VLANID_LAN,$VLANPRIORITY_LAN) and Wan($VLANID_WAN,$VLANPRIORITY_WAN)"
		echo "set rvlan 0 $VLANID_LAN $VLANPRIORITY_LAN" >/proc/rtl8309
		echo "set rvlan 1 $VLANID_WAN $VLANPRIORITY_WAN" >/proc/rtl8309
	elif [ "$ENABLEVLAN_LAN" = yes ]
	then
		echo "Set VLAN on Lan($VLANID_LAN,$VLANPRIORITY_LAN)"
		OTHERID=$(expr $VLANID_LAN + 1)
		echo "set rvlan 0 $VLANID_LAN $VLANPRIORITY_LAN" >/proc/rtl8309
		echo "set vlan 1 $OTHERID $VLANPRIORITY_LAN" >/proc/rtl8309
	elif [ "$ENABLEVLAN_WAN" = yes ]
	then
		echo "Set VLAN on Wan($VLANID_WAN,$VLANPRIORITY_WAN)"
		OTHERID=$(expr $VLANID_WAN + 1)
		echo "set vlan 0 $OTHERID $VLANPRIORITY_WAN" >/proc/rtl8309
		echo "set rvlan 1 $VLANID_WAN $VLANPRIORITY_WAN" >/proc/rtl8309
	fi
elif [ -f $VLAN_LAN_CONF ]
then
	echo "switch mode" >/proc/rtl8309
	. $VLAN_LAN_CONF
	if [ "$ENABLEVLAN" = yes ]
	then
		if [ ! $VLANPRIORITY ]
		then
			VLANPRIORITY="0"
		fi
		echo "Set VLAN on Lan($VLANID,$VLANPRIORITY)"
		OTHERID=$(expr $VLANID + 1)
		echo "set rvlan 0 $VLANID $VLANPRIORITY" >/proc/rtl8309
		echo "set vlan 1 $OTHERID $VLANPRIORITY" >/proc/rtl8309
	fi
fi
#End set RTL8309


